<template>
  <div>
    <div class="mx-auto max-w-7xl px-4">
      <NuxtLink
        :to="{name: $routesList.officeProductsAdd}"
      >
        Add
      </NuxtLink>
      <div>
        <div
          v-for="group in groupedProducts"
          :key="group.id"
          :id="group.page.hash"
        >
          <restaurant-menu-group-title :group-id="group.id"/>
          {{ group.id }}
          <div class="grid overflow-hidden grid-cols-3 gap-2">
            <office-product-item
              v-for="product in group.products"
              :key="product.id"
              :product="product"
            />
          </div>
        </div>
      </div>
    </div>
    <client-only>
      <app-back-top
        vertical-offset="5%"
        horizontal-offset="3%"
        :visibility-height="60"
        :speed="200"
      />
    </client-only>
  </div>
</template>

<script setup lang="ts">
  import { useRestaurantMenu } from '~/composable/restaurant/useRestaurantMenu'

  const {groupedProducts} = useRestaurantMenu()

  definePageMeta({
    layout: 'office',
  })
</script>
